#ifndef __AUTRE_H
#define __AUTRE_H

#include <gtk/gtk.h>

typedef struct _Model Model;
typedef struct _Point Point;
typedef struct _Tri Tri;
typedef struct _Line Line;


struct _Model {
  GList *points;
  GList *triangles;
  GList *lines;
  guint list, dirty;
};

struct _Point {
  gdouble v[3];
  gint order;
};

struct _Tri {
  Point *verticies[3];
  int rouge, vert, bleu;
};

struct _Line {
  Point *one, *two;
};

void model_save_a(Model *m, char *filename);
Model *model_load_a(char *filename);
Model *model_new(void);
Tri *model_add_triangle(Model *m, Point **p);



#endif
