#ifndef __FRAME_H
#define __FRAME_H

#include <gtk/gtk.h>
#include <gadj.h>
#include <lines.h>
#include <points.h>
#include <tri.h>


typedef enum {
  FRAME_XY,
  FRAME_YZ,
  FRAME_XZ
} FrameViews;

extern GtkWidget *window, *table_child[4], *table;
typedef struct _mframe mframe;
extern mframe *frames[3];
extern int grid_snap, grid_width, grid_height, render;

struct _mframe {
  GdkPixmap *pixmap;
  GtkWidget *drawing_area, *scw;
  GtkAdjustment *xa, *ya;
  gadj *xadj, *yadj;
  int width, height;
};

mframe *init_mframe(char *text);
GtkWidget *glp_new_frame(GtkWidget *glwidget);
void drawing_area_clear(GtkWidget *drawing_area);
void draw_all_frames(void);
gint expand_cb(GtkWidget *widget, gpointer data);

#endif
