#include <gadj.h>
#include <stdlib.h>

gadj *gadj_new(double max, double min)
{
  gadj *ret;
  double tmp;

  ret=(gadj *)malloc(sizeof(gadj));
  if(max<min) {
    tmp=min;
    min=max;
    max=tmp;
  }
  ret->max=max; ret->min=min;

  return ret;
}

void gadj_change(gadj *adj, double max, double min)
{
  double tmp;

  if(max<min) {
    tmp=min;
    min=max;
    max=tmp;
  }
  adj->max=max; adj->min=min;
}

double gadj_screen(gadj *adj, double x)
{
  return (x/100)*(adj->max-adj->min)+adj->min;
}

double gadj_logical(gadj *adj, double x)
{
  return (x-adj->min)/(adj->max-adj->min)*100;
}
