#ifndef __POINTS_H
#define __POINTS_H

#include <globals.h>
#include <gtk/gtk.h>
#include <gadj.h>

extern int xyz_state;
extern GdkPixmap *pixmap;
extern gadj *paxadj, *payadj;
extern Point *selected_point, *p, *p2;

void point_add_v(Point *np);
Point *point_add(double x, double y);
void point_del(double x, double y);
void point_draw(GdkDrawable *drawable);
void draw_brush(GdkDrawable *drawable, gdouble x, gdouble y);
void draw_brush_filled(GdkDrawable *drawable, gdouble x, gdouble y);
void point_select(double x, double y);
void point_move_selected(double x, double y);
void point_del_selected(void);
int point_get_lx(Point *p);
int point_get_ly(Point *p);
void point_select_v(Point *np);
void point_del_v(Point *np);

#endif
